## Class SCExcept

    java.lang.Object
      |
      +--SCExcept

public class SCExcept
extends java.lang.Object

Field Summary
`private java.lang.String` `classname`
`private java.lang.String` `error`
`private java.lang.String` `function`
`private java.lang.String` `statement`

Constructor Summary
`SCExcept()`

Method Summary
`void` `fehlerausgabe()`
`java.lang.String` `get_classname()`
`java.lang.String` `get_function()`
`java.lang.String` `get_statement()`
`void` `set_classname(java.lang.String cn)`
`void` `set_error(java.lang.String e)`
`void` `set_function(java.lang.String fct)`
`void` `set_statement(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classname

    private java.lang.String classname

### error

    private java.lang.String error

### function

    private java.lang.String function

### statement

    private java.lang.String statement

Constructor Detail

### SCExcept

    public SCExcept()

Method Detail

### set_classname

    public void set_classname(java.lang.String cn)

### set_error

    public void set_error(java.lang.String e)

### set_function

    public void set_function(java.lang.String fct)

### set_statement

    public void set_statement(java.lang.String s)

### fehlerausgabe

    public void fehlerausgabe()

### get_classname

    public java.lang.String get_classname()

### get_statement

    public java.lang.String get_statement()

### get_function

    public java.lang.String get_function()